Last Comment Bug 769812 - ATI OpenGL driver renders point sprite upside-down
: ATI OpenGL driver renders point sprite upside-down
Status: RESOLVED FIXED
webgl-conformance
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla16
Assigned To: Benoit Jacob [:bjacob] (mostly away)
:
Mentors:
Depends on:
Blocks: 834654
  Show dependency treegraph
 
Reported: 2012-06-29 14:07 PDT by Benoit Jacob [:bjacob] (mostly away)
Modified: 2013-02-03 00:38 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
work around upside-down point sprites (4.28 KB, patch)
2012-06-29 14:07 PDT, Benoit Jacob [:bjacob] (mostly away)
jgilbert: review+
Details | Diff | Review

Description Benoit Jacob [:bjacob] (mostly away) 2012-06-29 14:07:35 PDT
Created attachment 638009 [details] [diff] [review]
work around upside-down point sprites

This is the reason why this test fails:
https://cvs.khronos.org/svn/repos/registry/trunk/public/webgl/conformance-suites/1.0.1/conformance/glsl/variables/gl-pointcoord.html

Attached patch fixes it, but will break down whenever the driver bug is fixed (in the sense that the upside-down bug will then resurface). I think we should still take it so at least we're not blocked on Apple.
Comment 1 Jeff Gilbert [:jgilbert] 2012-07-02 11:48:22 PDT
Comment on attachment 638009 [details] [diff] [review]
work around upside-down point sprites

Review of attachment 638009 [details] [diff] [review]:
-----------------------------------------------------------------

Can we try to get ahead on this by querying the value before we set it properly? We could put a DEBUG abort in there which will let us know when this is fixed.
Comment 2 Benoit Jacob [:bjacob] (mostly away) 2012-07-04 16:13:36 PDT
Part of this tryserver push: https://tbpl.mozilla.org/?tree=Try&rev=35d614a1c367
Comment 3 Benoit Jacob [:bjacob] (mostly away) 2012-07-04 16:21:54 PDT
(In reply to Jeff Gilbert [:jgilbert] from comment #1)
> Comment on attachment 638009 [details] [diff] [review]
> work around upside-down point sprites
> 
> Review of attachment 638009 [details] [diff] [review]:
> -----------------------------------------------------------------
> 
> Can we try to get ahead on this by querying the value before we set it
> properly? We could put a DEBUG abort in there which will let us know when
> this is fixed.

The bug is not at the level of which of UPPER_LEFT / LOWER_LEFT is current or default. The bug is that no matter what we ask for, the driver actually does the opposite. So it's not something we can easily detect by a GL getter call. We'd have to render a point sprite, readpixels, and look at the result.
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2012-07-05 07:20:05 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/8faed44d0af6
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-07-05 17:20:01 PDT
https://hg.mozilla.org/mozilla-central/rev/8faed44d0af6

Note You need to log in before you can comment on or make changes to this bug.